function vrep = projectVrep3d(vrep, normal)
% project a V-polytope onto a plane defined by normal vector
%
% Syntax: vrep = projectVrep3d(vrep, normal)
%
% The projection set is returned in the reduced dimension so that vrep
%   has only 2 columns.
%
% See also: computeSupportSetVrep

% The elk-library: convex geometry applied to crystallization modeling.
%   Copyright (C) 2012 Alexander Reinhold
%
% This program is free software: you can redistribute it and/or modify it 
%   under the terms of the GNU General Public License as published by the 
%   Free Software Foundation, either version 3 of the License, or (at your 
%   option) any later version.
%
% This program is distributed in the hope that it will be useful, but 
%   WITHOUT ANY WARRANTY; without even the implied warranty of 
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
%   General Public License for more details.
%
% You should have received a copy of the GNU General Public License along 
%   with this program.  If not, see <http://www.gnu.org/licenses/>.

if size(vrep.V, 2) ~= 3 || length(normal) ~=3
    error('elk:polytope:wrongType', ...
        'projectVrep3d is for 3-dimensional polytopes only');
end

%% Rotate
vrep = rotatePolytope(vrep, 'vector', normal);
% so that we can project onto xy-plane
vrep.V(:,end) = [];
vrep = reduceVrep(vrep);

end